Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class Scrum

    java.lang.Object
      ix.ip2.Scrum

All Implemented Interfaces:
  ConstraintManager

    public class Scrum

extends java.lang.Object
implements ConstraintManager

Strictly-consumable resource usage manager. /\/: This is a very simple version.

Constructor Summary
`Scrum()`

Method Summary
`void` | `addConstraint(Constraint c)`
`void` | `addConstraint(PNode node, Constraint c)`
`void` | `clear()`
`protected void` | `consume(ContextHashMap avail, LList pattern, PNode node, long v)`
`void` | `evalAtBegin(PNodeEnd ne, Constraint c)`
`void` | `evalAtEnd(PNodeEnd ne, Constraint c)`
`protected void` | `evalConstraint(PNode node, Constraint c)`
`protected ContextHashMap` | `getAvailabilityMap(LList resourcePattern)`
`boolean` | `mightInteract(Constraint c1, Constraint c2)`
`void` | `registerWith(ConstraintManagerRegistry r)`
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Scrum

    public Scrum()

Method Detail

### registerWith

    public void registerWith(ConstraintManagerRegistry r)

  Specified by:
    `registerWith` in interface `ConstraintManager`

### reset

    public void reset()

  Specified by:
    `reset` in interface `ConstraintManager`

### clear

    public void clear()

  Specified by:
    `clear` in interface `ConstraintManager`

### mightInteract

    public boolean mightInteract(Constraint c1,
                                 Constraint c2)

  Specified by:
    `mightInteract` in interface `ConstraintManager`

### addConstraint

    public void addConstraint(Constraint c)

  Specified by:
    `addConstraint` in interface `ConstraintManager`
  Throws:
    `java.lang.UnsupportedOperationException` - if called.

### addConstraint

    public void addConstraint(PNode node,
                              Constraint c)

  Specified by:
    `addConstraint` in interface `ConstraintManager`

### evalConstraint

    protected void evalConstraint(PNode node,
                                  Constraint c)

### evalAtBegin

    public void evalAtBegin(PNodeEnd ne,
                            Constraint c)

  Specified by:
    `evalAtBegin` in interface `ConstraintManager`

### evalAtEnd

    public void evalAtEnd(PNodeEnd ne,
                          Constraint c)

  Specified by:
    `evalAtEnd` in interface `ConstraintManager`

### getAvailabilityMap

    protected ContextHashMap getAvailabilityMap(LList resourcePattern)

### consume

    protected void consume(ContextHashMap avail,
                           LList pattern,
                           PNode node,
                           long v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD